Automation Suite
2022.10
falso
Imagem de fundo do banner
Guia de instalação do Automation Suite
Última atualização 12 de fev de 2024

Pod do MongoDB falha ao atualizar de 4.4.4-ent para 5.0.7-ent

Description

Ao atualizar do Automation Suite 2021.10 para 2022.10, o pod MongoDB está travado na atualização contínua e não pode passar da versão 4.4.4-ent para 5.0.7-ent. Apenas um pod está disponível e está falhando na verificação de prontidão.

Solução

Para verificar os logs do MongoDB Agent, execute o seguinte comando:

kubectl get pods -n mongodb
Use the pod name and get log for that pod
kubectl logs <pod-name> -n mongodb -c mongodb-agent
In the Agent logs if we are seeing below line then the upgrade hasn't been successful
  ['currentState.Version = 4.4.4-ent is equal to desiredState.Version = 5.0.7-ent' = false]kubectl get pods -n mongodb
Use the pod name and get log for that pod
kubectl logs <pod-name> -n mongodb -c mongodb-agent
In the Agent logs if we are seeing below line then the upgrade hasn't been successful
  ['currentState.Version = 4.4.4-ent is equal to desiredState.Version = 5.0.7-ent' = false]

Para corrigir o problema, siga as seguintes etapas:

  1. Desative a sincronização automática no ArgoCD. Acesse Applications > MongoDB > AppDetails > Summarye clique em Disable Auto-Sync.
  2. A definição de sts do MongoDB ainda está usando a imagem antiga do MongoDB localhost:30071/mongodb/mongodb-enterprise-appdb-database:4.4.4-ent . Edite a definição para usar a versão 5.0.7-ent. Salve-o e sincronize-o.
  3. Exclua o antigo pod do MongoDB.
  4. Os pods devem vir com o MongoDB versão 5.0.7-ent.
  • Description
  • Solução

Was this page helpful?

Obtenha a ajuda que você precisa
Aprendendo RPA - Cursos de automação
Fórum da comunidade da Uipath
Logotipo branco da Uipath
Confiança e segurança
© 2005-2024 UiPath. All rights reserved.